#ifndef __NLLIBC_UNISTD_H_INCLUDED__
#define __NLLIBC_UNISTD_H_INCLUDED__

#include <sys/types.h>

void _exit(int status);
pid_t fork(void);
int execve(const char *path, char *const argv[], char *const envp[]);

ssize_t read(int fd, void *buf, size_t nbytes);
ssize_t write(int fd, const void *buf, size_t nbytes);
int close(int fd);

int dup(int oldd);
int pipe(int fildes[2]);
int dup2(int oldd, int newd);
int pipe2(int fildes[2], int flags);

int chdir(const char *path);
#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__) || defined(__DragonFly__) || defined(__APPLE__)
void *sbrk(intptr_t incr);
#endif
#if defined(__linux__)
int brk(const void *addr);
#endif
int __getcwd(char *buf, size_t size);

char *getcwd(char *buf, size_t size);

#endif
